%define module	planet
%define name	python-%{module}
%define version	2.0

Name:		%{name}
Summary:	Flexible RDF/RSS/Atom feed aggregator
Version:	%{version}
Release:	%mkrel 5
Source:		http://www.planetplanet.org/download/%{module}-%{version}.tar.bz2
Patch1:		planet-1.0-no-shebang.patch
Patch2:		planet-js-sanitize.patch
Patch3:		planet-2.0-media-content-title-fix.patch
URL:		http://www.planetplanet.org/
License:	Python
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:  python-setuptools
Requires:	python

%description
Planet is a flexible feed aggregator, this means that it downloads feeds
and aggregates their content together into a single combined feed with
the latest news first.

It uses Mark Pilgrim's Ultra-liberal feed parser so can read from RDF, RSS
and Atom feeds and Tomas Styblo's template library to output static files
in unlimited formats based on a series of templates.

%prep
%setup -q -n %{module}-%{version}
%apply_patches

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root=%{buildroot}

# (cg) Calling the binary "planet" breaks the "import planet" in the code itself...
mv %{buildroot}%{_bindir}/planet.py %{buildroot}%{_bindir}/planet-aggregator



%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS PKG-INFO THANKS README examples
%{_bindir}/planet-aggregator
%{_bindir}/planet*
%exclude %{_bindir}/runtests.py
%dir %{python_sitelib}/planet
%{python_sitelib}/*.egg-info
%{python_sitelib}/planet/*.py*
%dir %{python_sitelib}/planet/compat_logging
%{python_sitelib}/planet/compat_logging/*.py*
%exclude %{python_sitelib}/planet/tests
%exclude %{python_sitelib}/planet/tests/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 544051
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0-4.mga4
+ Revision: 499120
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.0-3.mga3
+ Revision: 379278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 25 2011 colin <colin> 2.0-2.mga1
+ Revision: 100375
- Fix group

* Tue May 24 2011 colin <colin> 2.0-1.mga1
+ Revision: 100303
- imported package python-planet

